# bmTON pricing

bmTON/TON token price is continuously calculated by the formulas.&#x20;

Staking TON:

> `bmTON amount = TON staked / bmTON price`

Unstaking bmTON:

> `TON amount = bmTON unstaked * bmTON price`

bmTON is priced by **bemo** in TON tokens and is calculated by the formula:

> `bmTON price = (ton_pool + staking_reward - bemo_fee) / ton_pool`

`ton_pool` – TON tokens in the pool \
`staking_reward` – bemo validation rewards

\
The bmTON app price accounts for the reward accumulated after each validation round.&#x20;

Due to the nature of staking, the bmTON app price is constantly growing. The staked token price growth rate equals the TON blockchain staking yield ex **bemo** protocol fees.

**bemo** application fee equals twenty percent of the TON blockchain staking rewards. The fee includes the validation and the application services and is charged after every validation round.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bemo.fi/welcome-to-bemo/bmton/bmton-pricing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
